﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Grids;

namespace XamGridHierarchyColumnsInCodeBehind
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

         private void xamGrid1_Loaded(object sender, RoutedEventArgs e)
        {
          
            xamGrid1.ItemsSource = new List<Data>
             {
                 new Data
                 {
                     ID = 1,
                     Name = "Parent 1",
                     Children = new List<ChildData>
                     {
                         new ChildData
                         {
                             ChildName = "child 1",
                             Age = 10
                         },

                         new ChildData
                         {
                             ChildName = "child 2",
                             Age = 12
                         },

                         new ChildData
                         {
                             ChildName = "child 3",
                             Age = 13
                         }
                     }
                 },

                  new Data
                 {
                     ID = 1,
                     Name = "Parent 2",
                     Children = new List<ChildData>
                     {
                         new ChildData
                         {
                             ChildName = "child 1",
                             Age = 10
                         },

                         new ChildData
                         {
                             ChildName = "child 2",
                             Age = 12
                         },

                         new ChildData
                         {
                             ChildName = "child 3",
                             Age = 13
                         }
                     }
                 },

                  new Data
                 {
                     ID = 1,
                     Name = "Parent 3",
                     Children = new List<ChildData>
                     {
                         new ChildData
                         {
                             ChildName = "child 1",
                             Age = 10
                         },

                         new ChildData
                         {
                             ChildName = "child 2",
                             Age = 12
                         },

                         new ChildData
                         {
                             ChildName = "child 3",
                             Age = 13
                         }
                     }
                 }
             };
            xamGrid1.Columns.Add(new TextColumn { Key = "ID", HeaderText = "ID" });
            xamGrid1.Columns.Add(new TextColumn { Key = "Name", HeaderText = "Name" });
          

            ColumnLayout colLayout = new ColumnLayout { Key = "Children" };
            colLayout.Columns.Add(new TextColumn { Key = "ChildName", HeaderText = "ChildName" });
            colLayout.Columns.Add(new TextColumn { Key = "Age", HeaderText = "Age" });

            xamGrid1.Columns.Add(colLayout);
        }






    }

    public class Data
    {
        public int ID { get; set; }
        public string Name { get; set; }


        public List<ChildData> Children { get; set; }
    }

    public class ChildData
    {
        public string ChildName { get; set; }
        public int Age { get; set; }
    }
}
